﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        this.UltraChart1.DataSource = GetData();
        this.UltraChart1.DataBind();
    }

    private DataTable GetData()
    {
        DataTable mydata = new DataTable();
        // Define the columns and their names

        mydata.Columns.Add("Series Label", typeof(string));
        mydata.Columns.Add("Segment A", typeof(int));
        mydata.Columns.Add("Segment B", typeof(int));

        // Add the rows of data
        mydata.Rows.Add(new Object[] { "Stack A", 5, 8 });
        mydata.Rows.Add(new Object[] { "Stack B", 1, 4 });
        mydata.Rows.Add(new Object[] { "Stack C", 11, 3 });
        mydata.Rows.Add(new Object[] { "Stack D", 4, 3 });
        mydata.Rows.Add(new Object[] { "Stack E", 4, 3 });
        mydata.Rows.Add(new Object[] { "Stack F", 4, 3 });
        mydata.Rows.Add(new Object[] { "Stack G", 4, 3 });
        mydata.Rows.Add(new Object[] { "Stack H", 4, 3 });


        return mydata;

    }
}